export interface client {
  id: string,
  name: string | null,
  address: string | null,
  phone: string | null,
  email: string | null,
}

export interface user {
  id: string,
  username: string,
  email: string,
  display_name?: string,
}

export interface session {
  id: string,
  user: string,
  expiry_date: string,
}

export interface imported_product {
  id: string,
  // order: string,
  name?: string,
  link: string,
  price_imported: string,
  price: string,
}

export interface offer {
  id: string,
  name: string,
  description?: string,
  recommended_price?: string,
}

export interface work {
  id: string,
  // order: string,
  offer: string|offer,
  price: string,
  notes: string,
  is_fulfilled: boolean,
}

export interface order {
  id: string,
  client: client|string,
  user: user|string,
  is_draft: boolean,
  imported_products: imported_product[],
  work: work[],
}

export interface work_template {
  id: string,
  // order_template: string,
  offer: string|offer,
  price: string,
  notes?: string,
}

export interface order_template {
  id: string,
  name: string,
  description?: string,
}
